Core - Task # 65922

Status: Resolved Priority: Should have

Author: Patrick Broens Category: Backend User Interface
Created: 2015-03-23 Assigned To: Patrick Broens

Updated: 2015-03-31 Due date:

TYPO3 Version: 7

PHP Version: 5.5

Complexity:

Sprint Focus: On Location Sprint

Subject: Move unused tt_content TCA fields and the arrangement to css_styled_content or compatibility6
Description

In "frontend” there is the field arrangement for each content element. Since the new strong default will not contain all content elements
from css_styled_content anymore, and fields have been rearranged, the old fields and the arrangements need to move to
css_styled_content or compatibility6. This will be replaced later on with the strong default settings.

Related issues:

related to Core - Bug # 62682: Separate core and css_styled_content
related to Core - Bug # 67875: tt_content categories field is not registered ...

Closed 2014-11-04
Under Review 2015-07-01

Associated revisions

Revision 84d2b8f1 - 2015-03-31 00:49 - Patrick Broens

["[TASK] Isolate unused fields and field arrangements

In the upcoming strong defaults for "frontend" some fields and field

arrangements are not in use anymore and belong to css_styled_content.

Currently there are also some fields which are not used by
css_styled_content.
The field arrangements will also change.

This patch moves the fields and field arrangements to css_styled_content

or compatibility6, depending on the current use. impexp and some of its

functional tests have been adapted to cope with the moved fields.

Change-Id: 186fc8cd47ebda412891851eabdd3a0e9109c1ec9
Fixes: #65922

Releases: master

Reviewed-on: http://review.typo3.org/38053

Reviewed-by: Frans Saris <franssaris@gmail.com>

Tested-by: Frans Saris <franssaris@gmail.com>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 3266396 - 2015-04-13 12:13 - Patrick Broens

[TASK] Isolate content element previews for page module

With the new strong defaults some content elements have moved to
the extensions mediace, css_styled_content and compatibility6.
The previews for the page module have not been moved.

This patch moves some previews to the corresponding extensions.

Resolves: #65952

Related: #65922

Releases: master

Change-Id: Idecf1b92b685237f7957e60a902afebd1010ba23
Reviewed-on: http://review.typo3.0rg/38154

Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Benjamin Mack <benni@typo3.org>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

History

#1 - 2015-03-23 16:37 - Patrick Broens
- Description updated

#2 - 2015-03-23 16:42 - Patrick Broens
- Subject changed from Move tt_content TCA field arrangement to css_styled_content to Move unused tt_content TCA fields and the arrangement to
css_styled_content or compatibility6

#3 - 2015-03-23 16:43 - Patrick Broens
- Description updated

#4 - 2015-03-23 18:31 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38053

#5 - 2015-03-24 20:37 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http:/review.typo3.org/38053

#6 - 2015-03-25 12:21 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/38053

#7 - 2015-03-25 12:28 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38053

#8 - 2015-03-25 17:18 - Mathias Schreiber

2015-08-04 2/3


http://review.typo3.org/38154
mailto:benni@typo3.org
mailto:benni@typo3.org
mailto:klein.t3@reelworx.at
mailto:klein.t3@reelworx.at
http://review.typo3.org/38053
http://review.typo3.org/38053
http://review.typo3.org/38053
http://review.typo3.org/38053

- Sprint Focus set to On Location Sprint

#9 - 2015-03-26 18:00 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/38053

#10 - 2015-03-29 09:43 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/38053

#11 - 2015-03-31 01:00 - Patrick Broens
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:84d2b8f1ed91c69c45353d2a09ef053b5896280.
